/////////////////////////////////////
// примеры для ws2812b - станция оптических кнопок
//Arduino UNO

#include "Adafruit_NeoPixel.h"

#define line_ 64 //число пикселей в ленте
uint8_t dataPin = 6;// вывод для подключения
Adafruit_NeoPixel strip = Adafruit_NeoPixel(line_,dataPin , NEO_GRB + NEO_KHZ800);// Создаем переменную strip для управления нашей лентой.
byte R=50;//
byte G=50;//
byte B=50;//
///RGB
void setup() {
 Serial.begin(9600); 
 strip.begin();

 }
void loop() {
for ( int in = 0; in < line_; in++) {
for ( int i = 0; i < line_; i++) {strip.setPixelColor(i, 0, 0, 0);}//  
strip.setPixelColor(in, R, G, B);
strip.show();
for(int k=0;k<3;k++){
delay(2);
if(analogRead(A0)<100){Serial.println(in);break;}//печать номера нажатой оптической кнопки
} 
}
}
//////////////////////////////////////////////



